Bug 22804 - OPAC Overdrive JavaScript contains untranslatable strings
Summary: OPAC Overdrive JavaScript contains untranslatable strings
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-04-29 14:24 UTC by Owen Leonard
Modified: 2019-10-08 07:30 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00,19.05.05


Attachments
Bug 22804: OPAC Overdrive JavaScript contains untranslatable strings (11.29 KB, patch)
2019-05-02 16:33 UTC, Owen Leonard
Details | Diff | Splinter Review
Tests were successful and worked as expected. (11.32 KB, patch)
2019-09-30 09:07 UTC, Jesse Maseto
Details | Diff | Splinter Review
Bug 22804: OPAC Overdrive JavaScript contains untranslatable strings (11.38 KB, patch)
2019-09-30 11:46 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2019-04-29 14:24:11 UTC
There are several English strings in overdrive.js. These should be moved into the template so they can be translated.
Comment 1 Owen Leonard 2019-05-02 16:33:20 UTC
Created attachment 89254 [details] [review]
Bug 22804: OPAC Overdrive JavaScript contains untranslatable strings

This patch moves untranslatable strings out of overdrive.js and into
opac-bottom.inc where other strings are defined for use in JavaScript
files.

To test you must have OverDrive integration set up, including
OverDriveCirculation. Test the various Overdrive integration features:

 - Placing holds
 - Cancelling holds
 - Checking out
 - Checking in

These features should work as expected.
Comment 2 Jesse Maseto 2019-09-30 09:07:38 UTC
Created attachment 93224 [details] [review]
Tests were successful and worked as expected.

Bug 22804: OPAC Overdrive JavaScript contains untranslatable strings

This patch moves untranslatable strings out of overdrive.js and into
opac-bottom.inc where other strings are defined for use in JavaScript
files.

To test you must have OverDrive integration set up, including
OverDriveCirculation. Test the various Overdrive integration features:

 - Placing holds
 - Cancelling holds
 - Checking out
 - Checking in

These features should work as expected.

Signed-off-by: Jesse Maseto <jesse@bywatersolutions.com>
Comment 3 Nick Clemens 2019-09-30 11:46:06 UTC
Created attachment 93234 [details] [review]
Bug 22804: OPAC Overdrive JavaScript contains untranslatable strings

This patch moves untranslatable strings out of overdrive.js and into
opac-bottom.inc where other strings are defined for use in JavaScript
files.

To test you must have OverDrive integration set up, including
OverDriveCirculation. Test the various Overdrive integration features:

 - Placing holds
 - Cancelling holds
 - Checking out
 - Checking in

These features should work as expected.

Signed-off-by: Jesse Maseto <jesse@bywatersolutions.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 4 Martin Renvoize 2019-10-01 06:45:53 UTC
Nice work!

Pushed to master for 19.11.00
Comment 5 Fridolin SOMERS 2019-10-08 07:30:53 UTC
Pushed to 19.05.x for 19.05.05